class Ball {
  float x;
  float y;
  float incX;
  float incY;
  float speedVariation = random(0.2);
  int bUserID;
  float oX;
  float oY;
  int ballTime;
  int indexID;


  Ball(float _velo) {
    x = random(width);
    y = random(height);
    setInc(_velo);
  }

  Ball(float _x, float _y, float _z, int _userId, int _index) {
    oX = x = _x;
    oY = y = _y; 

    bUserID = _userId;
    setInc(random(-0.4, 0.4));
    ballTime = millis();
    indexID = _index;
  }

  //speed
  void setInc(float _vel) {
    incX = random(_vel - speedVariation, _vel + speedVariation);
    incY = random(_vel - speedVariation, _vel + speedVariation);
  }

  //the ball
  /*void drawBall() {
   noStroke();
   ellipse(x, y, radius, radius);
   
   }*/

  //direction
  void step() {

    x = x + incX;
    y = y + incY;

    if (x > width) {
      incX = -incX;
    }
    if (x < 0) {
      incX = -incX;
    }
    if (y > height) {
      incY = -incY;
    }
    if (y < 0) {
      incY = -incY;
    }
  }

  int userID() {
    return bUserID;
  }

  void update() {
    x = x + incX;
    y = y + incY;

    if (x > oX + userResolution) {
      incX = -incX;
    }
    if (x < oX - userResolution) {
      incX = -incX;
    }
    if (y > oY + userResolution) {
      incY = -incY;
    }
    if (y < oY - userResolution) {
      incY = -incY;
    }
  }
}

