uniform sampler2D tex;
uniform vec2 offset;
uniform float pixel_size;
void main(void)
{
	float dx = offset.s*pixel_size;
	float dy = offset.t*pixel_size;
	vec2 st = gl_TexCoord[0].st;
	//const float blurSize = 1.0/512.0;
	// Apply 3x3 gaussian filter
	vec4 color	 = 0.16 * texture2D(tex, st);
	
	color		+= 0.06 * texture2D(tex, st - vec2(4.0*dx, 0.0));
	color		+= 0.09 * texture2D(tex, st - vec2(3.0*dx, 0.0));
	color		+= 0.12 * texture2D(tex, st - vec2(2.0*dx, 0.0));
	color		+= 0.15 * texture2D(tex, st - vec2(dx, 0.0));
	color		+= 0.15 * texture2D(tex, st + vec2(dx, 0.0));
	color		+= 0.12 * texture2D(tex, st + vec2(2.0*dx, 0.0));
	color		+= 0.09 * texture2D(tex, st + vec2(3.0*dx, 0.0));
	color		+= 0.06 * texture2D(tex, st + vec2(4.0*dx, 0.0));
	gl_FragColor = color;
}
